Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextBlock_iterator

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextBlock_iterator

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QTextBlock_iterator

extends QtJambiObject
implements java.lang.Cloneable

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QTextBlock_iterator()` Creates a new QTextBlockIterator.
`QTextBlock_iterator(QTextBlock_iterator o)` Constructs a new QTextBlock_iterator by copying `o`.

Method Summary
`boolean` | `atEnd()` Returns true if the iterator is at the end of the text block.
`QTextBlock_iterator` | `clone()` This method is reimplemented for internal reasons
`QTextFragment` | `fragment()` Returns the text fragment the iterator currently points to.
`static QTextBlock_iterator` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextBlock_iterator instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QTextBlock_iterator[] array)` This function returns a QNativePointer that is pointing to the specified QTextBlock_iterator array.
`void` | `next()` Advances the iterator to the next item in the hash.
`void` | `previous()` Makes the preceding item the current item.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextBlock_iterator

    public QTextBlock_iterator()

  Creates a new QTextBlockIterator.

### QTextBlock_iterator

    public QTextBlock_iterator(QTextBlock_iterator o)

  Constructs a new QTextBlock_iterator by copying `o`.

Method Detail

### atEnd

    public final boolean atEnd()

  Returns true if the iterator is at the end of the text block.

### fragment

    public final QTextFragment fragment()

  Returns the text fragment the iterator currently points to.

### fromNativePointer

    public static QTextBlock_iterator fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextBlock_iterator instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextBlock_iterator[] array)

  This function returns a QNativePointer that is pointing to the specified QTextBlock_iterator array.

### next

    public final void next()

  Advances the iterator to the next item in the hash.

### previous

    public final void previous()

  Makes the preceding item the current item.

### clone

    public QTextBlock_iterator clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD